/*
	Twilight Prophecy 3D/Multimedia SDK
	A multi-platform development system for virtual reality and multimedia.

	Copyright (C) 1997-2001 by Twilight 3D Finland Oy Ltd.
*/
/*
	NEVER include this header manually, included by system when needed.
*/


// user entrypoint
extern void prAttach();
extern void prDetach();


// system entrypoint
BOOL WINAPI DllMain(HINSTANCE hinstance, DWORD reason, LPVOID reserved)
{
	switch( reason )
	{
		case DLL_PROCESS_ATTACH:
		case DLL_THREAD_ATTACH:
			prAttach();
			break;

		case DLL_PROCESS_DETACH:
		case DLL_THREAD_DETACH:
			prDetach();
			break;

		default:
			break;
	}
	return TRUE;
}
